Skip to content

nodes / vncshell ​

1 operation.

POST /nodes/{node}/vncshell ​

ts
proxmox.nodes.$(node).vncshell.$post()

Creates a VNC Shell proxy.

Returns any.

ParameterTypeRequiredNotes
cmdceph_install | login | upgradeRun specific command or default to login (requires 'root@pam') — default "login"
cmd-optsstringAdd parameters to a command. Encoded as null terminated strings. — default ""
heightnumbersets the height of the console in pixels. — min 16, max 2160
nodestringyesThe cluster node name. — format pve-node
websocketbooleanuse websocket instead of standard vnc.
widthnumbersets the width of the console in pixels. — min 16, max 4096